Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.traversal
Class JRexTreeWalkerImpl

    java.lang.Object
      org.mozilla.jrex.dom.traversal.JRexTreeWalkerImpl

All Implemented Interfaces:
  TreeWalker

public class JRexTreeWalkerImpl
extends Object
implements TreeWalker

A class implementing org.w3c.dom.traversal.TreeWalker interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `TreeWalker`

Constructor Summary
`JRexTreeWalkerImpl()`

Method Summary
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`Node` | `firstChild()` Moves the `TreeWalker` to the first visible child of the current node, and returns the new node.
`Node` | `getCurrentNode()` The node at which the `TreeWalker` is currently positioned.
`boolean` | `getExpandEntityReferences()` The value of this flag determines whether the children of entity reference nodes are visible to the `TreeWalker`.
`NodeFilter` | `getFilter()` The filter used to screen nodes.
`Node` | `getRoot()` The `root` node of the `TreeWalker`, as specified when it was created.
`int` | `getWhatToShow()` This attribute determines which node types are presented via the `TreeWalker`.
`int` | `hashCode()`
`Node` | `lastChild()` Moves the `TreeWalker` to the last visible child of the current node, and returns the new node.
`Node` | `nextNode()` Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node.
`Node` | `nextSibling()` Moves the `TreeWalker` to the next sibling of the current node, and returns the new node.
`Node` | `parentNode()` Moves to and returns the closest visible ancestor node of the current node.
`Node` | `previousNode()` Moves the `TreeWalker` to the previous visible node in document order relative to the current node, and returns the new node.
`Node` | `previousSibling()` Moves the `TreeWalker` to the previous sibling of the current node, and returns the new node.
`void` | `setCurrentNode(Node currentNode)` The node at which the `TreeWalker` is currently positioned.

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexTreeWalkerImpl

    public JRexTreeWalkerImpl()

Method Detail

### getRoot

    public Node getRoot()

  Description copied from interface: `TreeWalker`
  The `root` node of the `TreeWalker`, as specified when it was created.

  Specified by:
    `getRoot` in interface `TreeWalker`

### getWhatToShow

    public int getWhatToShow()

  Description copied from interface: `TreeWalker`
  This attribute determines which node types are presented via the `TreeWalker`. The available set of constants is defined in the `NodeFilter` interface. Nodes not accepted by `whatToShow` will be skipped, but their children may still be considered. Note that this skip takes precedence over the filter, if any.

  Specified by:
    `getWhatToShow` in interface `TreeWalker`

### getFilter

    public NodeFilter getFilter()

  Description copied from interface: `TreeWalker`
  The filter used to screen nodes.

  Specified by:
    `getFilter` in interface `TreeWalker`

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  Description copied from interface: `TreeWalker`
  The value of this flag determines whether the children of entity reference nodes are visible to the `TreeWalker`. If false, these children and their descendants will be rejected. Note that this rejection takes precedence over `whatToShow` and the filter, if any.
  To produce a view of the document that has entity references expanded and does not expose the entity reference node itself, use the `whatToShow` flags to hide the entity reference node and set `expandEntityReferences` to true when creating the `TreeWalker`. To produce a view of the document that has entity reference nodes but no entity expansion, use the `whatToShow` flags to show the entity reference node and set `expandEntityReferences` to false.

  Specified by:
    `getExpandEntityReferences` in interface `TreeWalker`

### getCurrentNode

    public Node getCurrentNode()

  Description copied from interface: `TreeWalker`
  The node at which the `TreeWalker` is currently positioned.
  Alterations to the DOM tree may cause the current node to no longer be accepted by the `TreeWalker`'s associated filter. `currentNode` may also be explicitly set to any node, whether or not it is within the subtree specified by the `root` node or would be accepted by the filter and `whatToShow` flags. Further traversal occurs relative to `currentNode` even if it is not part of the current view, by applying the filters in the requested direction; if no traversal is possible, `currentNode` is not changed.

  Specified by:
    `getCurrentNode` in interface `TreeWalker`

### setCurrentNode

    public void setCurrentNode(Node currentNode)
                        throws DOMException

  Description copied from interface: `TreeWalker`
  The node at which the `TreeWalker` is currently positioned.
  Alterations to the DOM tree may cause the current node to no longer be accepted by the `TreeWalker`'s associated filter. `currentNode` may also be explicitly set to any node, whether or not it is within the subtree specified by the `root` node or would be accepted by the filter and `whatToShow` flags. Further traversal occurs relative to `currentNode` even if it is not part of the current view, by applying the filters in the requested direction; if no traversal is possible, `currentNode` is not changed.

  Specified by:
    `setCurrentNode` in interface `TreeWalker`
  Throws:
    `DOMException` - NOT_SUPPORTED_ERR: Raised if an attempt is made to set `currentNode` to `null`.

### parentNode

    public Node parentNode()

  Description copied from interface: `TreeWalker`
  Moves to and returns the closest visible ancestor node of the current node. If the search for `parentNode` attempts to step upward from the `TreeWalker`'s `root` node, or if it fails to find a visible ancestor node, this method retains the current position and returns `null`.

  Specified by:
    `parentNode` in interface `TreeWalker`
  Returns:
    The new parent node, or `null` if the current node has no parent in the `TreeWalker`'s logical view.

### firstChild

    public Node firstChild()

  Description copied from interface: `TreeWalker`
  Moves the `TreeWalker` to the first visible child of the current node, and returns the new node. If the current node has no visible children, returns `null`, and retains the current node.

  Specified by:
    `firstChild` in interface `TreeWalker`
  Returns:
    The new node, or `null` if the current node has no visible children in the `TreeWalker`'s logical view.

### lastChild

    public Node lastChild()

  Description copied from interface: `TreeWalker`
  Moves the `TreeWalker` to the last visible child of the current node, and returns the new node. If the current node has no visible children, returns `null`, and retains the current node.

  Specified by:
    `lastChild` in interface `TreeWalker`
  Returns:
    The new node, or `null` if the current node has no children in the `TreeWalker`'s logical view.

### previousSibling

    public Node previousSibling()

  Description copied from interface: `TreeWalker`
  Moves the `TreeWalker` to the previous sibling of the current node, and returns the new node. If the current node has no visible previous sibling, returns `null`, and retains the current node.

  Specified by:
    `previousSibling` in interface `TreeWalker`
  Returns:
    The new node, or `null` if the current node has no previous sibling. in the `TreeWalker`'s logical view.

### nextSibling

    public Node nextSibling()

  Description copied from interface: `TreeWalker`
  Moves the `TreeWalker` to the next sibling of the current node, and returns the new node. If the current node has no visible next sibling, returns `null`, and retains the current node.

  Specified by:
    `nextSibling` in interface `TreeWalker`
  Returns:
    The new node, or `null` if the current node has no next sibling. in the `TreeWalker`'s logical view.

### nextNode

    public Node nextNode()
                  throws DOMException

  Description copied from interface: `TreeWalker`
  Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node. If the current node has no next node, or if the search for nextNode attempts to step upward from the `TreeWalker`'s `root` node, returns `null`, and retains the current node.

  Specified by:
    `nextNode` in interface `TreeWalker`
  Returns:
    The new node, or `null` if the current node has no next node in the `TreeWalker`'s logical view.
  Throws:
    `DOMException`

### previousNode

    public Node previousNode()
                      throws DOMException

  Description copied from interface: `TreeWalker`
  Moves the `TreeWalker` to the previous visible node in document order relative to the current node, and returns the new node. If the current node has no previous node, or if the search for `previousNode` attempts to step upward from the `TreeWalker`'s `root` node, returns `null`, and retains the current node.

  Specified by:
    `previousNode` in interface `TreeWalker`
  Returns:
    The new node, or `null` if the current node has no previous node in the `TreeWalker`'s logical view.
  Throws:
    `DOMException`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.